package com.bonus.canteen.core.marketing.v2.rule.pay.handler;

import com.bonus.canteen.core.marketing.v2.rule.pay.dto.RulePayComputeDTO;
import com.bonus.canteen.core.marketing.v2.rule.pay.dto.RulePayResultDTO;
import com.bonus.canteen.core.marketing.vo.MarketRuleVO;

public interface RulePayHandler {
   RulePayResultDTO handle(RulePayComputeDTO computeDTO, MarketRuleVO rule);

   Integer getRuleType();

   default void checkRuleInfo(String ruleInfo) {
   }
}
